Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser	(revision 256)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser	(revision 264)
@@ -12,5 +12,5 @@
 		activeBuildConfigurationName = Development;
 		activeExecutable = E136EAA103E42F7500050002 /* Terminal */;
-		activeTarget = E120DB7308141CCB00BF8DDC /* ICeCoffEE Installer */;
+		activeTarget = E1ABAE8D0812F4B2007C5427 /* APE Module */;
 		addToTargets = (
 			E1ABAE8D0812F4B2007C5427 /* APE Module */,
@@ -218,5 +218,5 @@
 				);
 			};
-			PBXPerProjectTemplateStateSaveDate = 174955892;
+			PBXPerProjectTemplateStateSaveDate = 175060565;
 			PBXPrepackagedSmartGroups_v2 = (
 				{
@@ -693,20 +693,59 @@
 				WindowFrame = "{{524, 473}, {756, 352}}";
 			};
-			PBXWorkspaceStateSaveDate = 174955892;
+			PBXWorkspaceStateSaveDate = 175060565;
 		};
 		perUserProjectItems = {
-			E16950C80A6DA0070085C106 /* PBXTextBookmark */ = E16950C80A6DA0070085C106 /* PBXTextBookmark */;
-			E16950D80A6DA4970085C106 /* PBXTextBookmark */ = E16950D80A6DA4970085C106 /* PBXTextBookmark */;
-			E16950DD0A6DA4C80085C106 /* PBXBookmark */ = E16950DD0A6DA4C80085C106 /* PBXBookmark */;
-			E16950E80A6DA57D0085C106 /* PBXBookmark */ = E16950E80A6DA57D0085C106 /* PBXBookmark */;
-			E169512C0A6DAD600085C106 /* PBXTextBookmark */ = E169512C0A6DAD600085C106 /* PBXTextBookmark */;
-			E169512D0A6DAD600085C106 /* PBXTextBookmark */ = E169512D0A6DAD600085C106 /* PBXTextBookmark */;
-			E169512E0A6DAD600085C106 /* PBXTextBookmark */ = E169512E0A6DAD600085C106 /* PBXTextBookmark */;
-			E169512F0A6DAD600085C106 /* PBXTextBookmark */ = E169512F0A6DAD600085C106 /* PBXTextBookmark */;
-			E169513B0A6DAEBC0085C106 /* PBXTextBookmark */ = E169513B0A6DAEBC0085C106 /* PBXTextBookmark */;
-			E169513D0A6DAEBC0085C106 /* PBXTextBookmark */ = E169513D0A6DAEBC0085C106 /* PBXTextBookmark */;
-			E169513E0A6DAEBC0085C106 /* PBXTextBookmark */ = E169513E0A6DAEBC0085C106 /* PBXTextBookmark */;
-			E169513F0A6DAEBC0085C106 /* PBXTextBookmark */ = E169513F0A6DAEBC0085C106 /* PBXTextBookmark */;
-			E16951400A6DAEBC0085C106 /* PBXTextBookmark */ = E16951400A6DAEBC0085C106 /* PBXTextBookmark */;
+			E14DF1020A6F366300346107 /* PBXTextBookmark */ = E14DF1020A6F366300346107 /* PBXTextBookmark */;
+			E14DF1030A6F366300346107 /* PBXTextBookmark */ = E14DF1030A6F366300346107 /* PBXTextBookmark */;
+			E14DF1040A6F366300346107 /* PBXTextBookmark */ = E14DF1040A6F366300346107 /* PBXTextBookmark */;
+			E14DF1050A6F366300346107 /* PBXTextBookmark */ = E14DF1050A6F366300346107 /* PBXTextBookmark */;
+			E14DF1DE0A6F4A3700346107 /* PBXBookmark */ = E14DF1DE0A6F4A3700346107 /* PBXBookmark */;
+			E14DF2080A6F53C100346107 /* PBXBookmark */ = E14DF2080A6F53C100346107 /* PBXBookmark */;
+			E14DF20E0A6F550600346107 /* PBXTextBookmark */ = E14DF20E0A6F550600346107 /* PBXTextBookmark */;
+			E14DF20F0A6F550600346107 /* PBXTextBookmark */ = E14DF20F0A6F550600346107 /* PBXTextBookmark */;
+			E14DF2100A6F550600346107 /* PBXTextBookmark */ = E14DF2100A6F550600346107 /* PBXTextBookmark */;
+			E14DF2110A6F550600346107 /* PBXTextBookmark */ = E14DF2110A6F550600346107 /* PBXTextBookmark */;
+			E14DF2120A6F550600346107 /* PBXTextBookmark */ = E14DF2120A6F550600346107 /* PBXTextBookmark */;
+			E14DF2130A6F550600346107 /* PBXTextBookmark */ = E14DF2130A6F550600346107 /* PBXTextBookmark */;
+			E14DF21B0A6F557000346107 /* PBXBookmark */ = E14DF21B0A6F557000346107 /* PBXBookmark */;
+			E14DF21E0A6F559000346107 /* PBXTextBookmark */ = E14DF21E0A6F559000346107 /* PBXTextBookmark */;
+			E14DF2210A6F559000346107 /* PBXTextBookmark */ = E14DF2210A6F559000346107 /* PBXTextBookmark */;
+			E14DF2240A6F559000346107 /* PBXTextBookmark */ = E14DF2240A6F559000346107 /* PBXTextBookmark */;
+			E14DF2260A6F559000346107 /* PBXTextBookmark */ = E14DF2260A6F559000346107 /* PBXTextBookmark */;
+			E14DF2280A6F559000346107 /* PBXTextBookmark */ = E14DF2280A6F559000346107 /* PBXTextBookmark */;
+			E14DF22B0A6F559000346107 /* PBXTextBookmark */ = E14DF22B0A6F559000346107 /* PBXTextBookmark */;
+			E14DF22C0A6F559000346107 /* PBXTextBookmark */ = E14DF22C0A6F559000346107 /* PBXTextBookmark */;
+			E14DF22D0A6F559000346107 /* PBXTextBookmark */ = E14DF22D0A6F559000346107 /* PBXTextBookmark */;
+			E14DF22E0A6F559000346107 /* PBXTextBookmark */ = E14DF22E0A6F559000346107 /* PBXTextBookmark */;
+			E14DF2320A6F55B000346107 /* PBXTextBookmark */ = E14DF2320A6F55B000346107 /* PBXTextBookmark */;
+			E14DF2330A6F55B000346107 /* PBXTextBookmark */ = E14DF2330A6F55B000346107 /* PBXTextBookmark */;
+			E14DF2340A6F55B000346107 /* PBXTextBookmark */ = E14DF2340A6F55B000346107 /* PBXTextBookmark */;
+			E14DF2350A6F55B000346107 /* PBXTextBookmark */ = E14DF2350A6F55B000346107 /* PBXTextBookmark */;
+			E14DF2360A6F55B000346107 /* PBXTextBookmark */ = E14DF2360A6F55B000346107 /* PBXTextBookmark */;
+			E14DF2370A6F55B000346107 /* PBXTextBookmark */ = E14DF2370A6F55B000346107 /* PBXTextBookmark */;
+			E14DF2380A6F55B000346107 /* PBXTextBookmark */ = E14DF2380A6F55B000346107 /* PBXTextBookmark */;
+			E14DF2390A6F55B000346107 /* PBXTextBookmark */ = E14DF2390A6F55B000346107 /* PBXTextBookmark */;
+			E14DF23D0A6F56E900346107 /* PBXTextBookmark */ = E14DF23D0A6F56E900346107 /* PBXTextBookmark */;
+			E14DF23E0A6F56E900346107 /* PBXTextBookmark */ = E14DF23E0A6F56E900346107 /* PBXTextBookmark */;
+			E14DF23F0A6F56E900346107 /* PBXTextBookmark */ = E14DF23F0A6F56E900346107 /* PBXTextBookmark */;
+			E14DF2400A6F56E900346107 /* PBXTextBookmark */ = E14DF2400A6F56E900346107 /* PBXTextBookmark */;
+			E14DF2410A6F56E900346107 /* PBXTextBookmark */ = E14DF2410A6F56E900346107 /* PBXTextBookmark */;
+			E14DF2420A6F56E900346107 /* PBXTextBookmark */ = E14DF2420A6F56E900346107 /* PBXTextBookmark */;
+			E14DF2430A6F56E900346107 /* PBXTextBookmark */ = E14DF2430A6F56E900346107 /* PBXTextBookmark */;
+			E14DF2440A6F56E900346107 /* PBXTextBookmark */ = E14DF2440A6F56E900346107 /* PBXTextBookmark */;
+			E14DF2450A6F56E900346107 /* PBXTextBookmark */ = E14DF2450A6F56E900346107 /* PBXTextBookmark */;
+			E16950C80A6DA0070085C106 = E16950C80A6DA0070085C106 /* PBXTextBookmark */;
+			E16950D80A6DA4970085C106 = E16950D80A6DA4970085C106 /* PBXTextBookmark */;
+			E16950DD0A6DA4C80085C106 = E16950DD0A6DA4C80085C106 /* PBXBookmark */;
+			E16950E80A6DA57D0085C106 = E16950E80A6DA57D0085C106 /* PBXBookmark */;
+			E169512C0A6DAD600085C106 = E169512C0A6DAD600085C106 /* PBXTextBookmark */;
+			E169512D0A6DAD600085C106 = E169512D0A6DAD600085C106 /* PBXTextBookmark */;
+			E169512E0A6DAD600085C106 = E169512E0A6DAD600085C106 /* PBXTextBookmark */;
+			E169512F0A6DAD600085C106 = E169512F0A6DAD600085C106 /* PBXTextBookmark */;
+			E169513B0A6DAEBC0085C106 = E169513B0A6DAEBC0085C106 /* PBXTextBookmark */;
+			E169513D0A6DAEBC0085C106 = E169513D0A6DAEBC0085C106 /* PBXTextBookmark */;
+			E169513E0A6DAEBC0085C106 = E169513E0A6DAEBC0085C106 /* PBXTextBookmark */;
+			E169513F0A6DAEBC0085C106 = E169513F0A6DAEBC0085C106 /* PBXTextBookmark */;
+			E16951400A6DAEBC0085C106 = E16951400A6DAEBC0085C106 /* PBXTextBookmark */;
 		};
 		sourceControlManager = E12B21580548C9B600CFF4E9 /* Source Control */;
@@ -930,7 +969,7 @@
 	E1317B2F03DFC4DE00050002 /* ICeCoffEETerminal.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {629, 5712}}";
-			sepNavSelRange = "{286, 0}";
-			sepNavVisRect = "{{0, 0}, {629, 555}}";
+			sepNavIntBoundsRect = "{{0, 0}, {711, 5544}}";
+			sepNavSelRange = "{925, 0}";
+			sepNavVisRect = "{{0, 726}, {711, 444}}";
 			sepNavWindowFrame = "{{172, 172}, {750, 502}}";
 		};
@@ -1030,7 +1069,7 @@
 	E135625E03DC9FC200050002 /* ICeCoffEEShared.h */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {670, 732}}";
-			sepNavSelRange = "{412, 0}";
-			sepNavVisRect = "{{0, 189}, {670, 162}}";
+			sepNavIntBoundsRect = "{{0, 0}, {508, 744}}";
+			sepNavSelRange = "{283, 0}";
+			sepNavVisRect = "{{0, 0}, {508, 531}}";
 			sepNavWindowFrame = "{{174, 96}, {547, 589}}";
 		};
@@ -1122,7 +1161,7 @@
 	E14343B303DB4CF200050002 /* ICeCoffEE.h */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {629, 756}}";
-			sepNavSelRange = "{1224, 0}";
-			sepNavVisRect = "{{0, 201}, {629, 555}}";
+			sepNavIntBoundsRect = "{{0, 0}, {813, 720}}";
+			sepNavSelRange = "{1676, 13}";
+			sepNavVisRect = "{{0, 403}, {813, 191}}";
 			sepNavWindowFrame = "{{114, 293}, {813, 821}}";
 		};
@@ -1130,7 +1169,7 @@
 	E14343B403DB4CF200050002 /* ICeCoffEE.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {629, 7860}}";
-			sepNavSelRange = "{6158, 0}";
-			sepNavVisRect = "{{0, 2076}, {629, 384}}";
+			sepNavIntBoundsRect = "{{0, 0}, {774, 7476}}";
+			sepNavSelRange = "{9338, 0}";
+			sepNavVisRect = "{{0, 2567}, {774, 688}}";
 			sepNavWindowFrame = "{{109, 0}, {813, 746}}";
 		};
@@ -1184,4 +1223,388 @@
 		vrLen = 1360;
 		vrLoc = 2804;
+	};
+	E14DF1020A6F366300346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 129";
+		rLen = 0;
+		rLoc = 8004;
+		rType = 0;
+		vrLen = 2435;
+		vrLoc = 6925;
+	};
+	E14DF1030A6F366300346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E170DFDE0835D6F400B484AC /* ICeCoffEETrigger.m */;
+		name = "ICeCoffEETrigger.m: 45";
+		rLen = 0;
+		rLoc = 1148;
+		rType = 0;
+		vrLen = 1173;
+		vrLoc = 0;
+	};
+	E14DF1040A6F366300346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF15A503DBAA5600050002 /* ui.plist */;
+		name = "ui.plist: 50";
+		rLen = 0;
+		rLoc = 1395;
+		rType = 0;
+		vrLen = 1395;
+		vrLoc = 0;
+	};
+	E14DF1050A6F366300346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: ICCF_MigratePrefs";
+		rLen = 0;
+		rLoc = 707;
+		rType = 0;
+		vrLen = 1516;
+		vrLoc = 0;
+	};
+	E14DF1DE0A6F4A3700346107 /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E1317B2F03DFC4DE00050002 /* ICeCoffEETerminal.m */;
+	};
+	E14DF2080A6F53C100346107 /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
+	};
+	E14DF20E0A6F550600346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14343B303DB4CF200050002 /* ICeCoffEE.h */;
+		name = ICCF_ParseURL;
+		rLen = 13;
+		rLoc = 1676;
+		rType = 0;
+		vrLen = 514;
+		vrLoc = 1489;
+	};
+	E14DF20F0A6F550600346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
+		name = ICCF_ParseURL;
+		rLen = 13;
+		rLoc = 14962;
+		rType = 0;
+		vrLen = 757;
+		vrLoc = 14719;
+	};
+	E14DF2100A6F550600346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1317B2F03DFC4DE00050002 /* ICeCoffEETerminal.m */;
+		rLen = 13;
+		rLoc = 12832;
+		rType = 0;
+	};
+	E14DF2110A6F550600346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14343B303DB4CF200050002 /* ICeCoffEE.h */;
+		name = ICCF_ParseURL;
+		rLen = 13;
+		rLoc = 1676;
+		rType = 0;
+		vrLen = 514;
+		vrLoc = 1489;
+	};
+	E14DF2120A6F550600346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
+		name = ICCF_ParseURL;
+		rLen = 13;
+		rLoc = 14962;
+		rType = 0;
+		vrLen = 757;
+		vrLoc = 14719;
+	};
+	E14DF2130A6F550600346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1317B2F03DFC4DE00050002 /* ICeCoffEETerminal.m */;
+		name = ICCF_ParseURL;
+		rLen = 13;
+		rLoc = 12832;
+		rType = 0;
+		vrLen = 680;
+		vrLoc = 12955;
+	};
+	E14DF21B0A6F557000346107 /* PBXBookmark */ = {
+		isa = PBXBookmark;
+		fRef = E135625E03DC9FC200050002 /* ICeCoffEEShared.h */;
+	};
+	E14DF21E0A6F559000346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E135625E03DC9FC200050002 /* ICeCoffEEShared.h */;
+		name = "ICeCoffEEShared.h: 9";
+		rLen = 0;
+		rLoc = 163;
+		rType = 0;
+		vrLen = 1315;
+		vrLoc = 0;
+	};
+	E14DF2210A6F559000346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
+		name = "ICeCoffEE.m: 246";
+		rLen = 0;
+		rLoc = 9338;
+		rType = 0;
+		vrLen = 2227;
+		vrLoc = 7838;
+	};
+	E14DF2240A6F559000346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14DF2250A6F559000346107 /* NSString.h */;
+		rLen = 1;
+		rLoc = 118;
+		rType = 1;
+	};
+	E14DF2250A6F559000346107 /* NSString.h */ = {
+		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
+		name = NSString.h;
+		path = /Developer/SDKs/MacOSX10.4u.sdk/System/Library/Frameworks/Foundation.framework/Versions/C/Headers/NSString.h;
+		sourceTree = "<absolute>";
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {694, 4380}}";
+			sepNavSelRange = "{4942, 0}";
+			sepNavVisRect = "{{0, 1009}, {694, 944}}";
+		};
+	};
+	E14DF2260A6F559000346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14DF2270A6F559000346107 /* NSString.h */;
+		name = "(null): 119";
+		rLen = 0;
+		rLoc = 4942;
+		rType = 0;
+		vrLen = 3406;
+		vrLoc = 3271;
+	};
+	E14DF2270A6F559000346107 /* NSString.h */ = {
+		isa = PBXFileReference;
+		name = NSString.h;
+		path = /Developer/SDKs/MacOSX10.4u.sdk/System/Library/Frameworks/Foundation.framework/Versions/C/Headers/NSString.h;
+		sourceTree = "<absolute>";
+	};
+	E14DF2280A6F559000346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: ICCF_MigratePrefs";
+		rLen = 0;
+		rLoc = 707;
+		rType = 0;
+		vrLen = 1558;
+		vrLoc = 0;
+	};
+	E14DF22B0A6F559000346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1317B2F03DFC4DE00050002 /* ICeCoffEETerminal.m */;
+		name = "ICeCoffEETerminal.m: selectWordAtLine:offset:";
+		rLen = 0;
+		rLoc = 925;
+		rType = 0;
+		vrLen = 979;
+		vrLoc = 2295;
+	};
+	E14DF22C0A6F559000346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 9";
+		rLen = 0;
+		rLoc = 308;
+		rType = 0;
+		vrLen = 1570;
+		vrLoc = 0;
+	};
+	E14DF22D0A6F559000346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E170DFDE0835D6F400B484AC /* ICeCoffEETrigger.m */;
+		name = "ICeCoffEETrigger.m: 45";
+		rLen = 0;
+		rLoc = 1148;
+		rType = 0;
+		vrLen = 1214;
+		vrLoc = 280;
+	};
+	E14DF22E0A6F559000346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF15A503DBAA5600050002 /* ui.plist */;
+		name = "ui.plist: 50";
+		rLen = 0;
+		rLoc = 1395;
+		rType = 0;
+		vrLen = 1395;
+		vrLoc = 0;
+	};
+	E14DF2320A6F55B000346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E135625E03DC9FC200050002 /* ICeCoffEEShared.h */;
+		name = "ICeCoffEEShared.h: ICCF_DEBUG";
+		rLen = 0;
+		rLoc = 283;
+		rType = 0;
+		vrLen = 1315;
+		vrLoc = 0;
+	};
+	E14DF2330A6F55B000346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
+		name = "ICeCoffEE.m: 246";
+		rLen = 0;
+		rLoc = 9338;
+		rType = 0;
+		vrLen = 2227;
+		vrLoc = 7838;
+	};
+	E14DF2340A6F55B000346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14DF2250A6F559000346107 /* NSString.h */;
+		name = "NSString.h: stringByTrimmingCharactersInSet:";
+		rLen = 0;
+		rLoc = 4942;
+		rType = 0;
+		vrLen = 3406;
+		vrLoc = 3271;
+	};
+	E14DF2350A6F55B000346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: ICCF_MigratePrefs";
+		rLen = 0;
+		rLoc = 707;
+		rType = 0;
+		vrLen = 1558;
+		vrLoc = 0;
+	};
+	E14DF2360A6F55B000346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1317B2F03DFC4DE00050002 /* ICeCoffEETerminal.m */;
+		name = "ICeCoffEETerminal.m: selectWordAtLine:offset:";
+		rLen = 0;
+		rLoc = 925;
+		rType = 0;
+		vrLen = 979;
+		vrLoc = 2295;
+	};
+	E14DF2370A6F55B000346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 9";
+		rLen = 0;
+		rLoc = 308;
+		rType = 0;
+		vrLen = 1570;
+		vrLoc = 0;
+	};
+	E14DF2380A6F55B000346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E170DFDE0835D6F400B484AC /* ICeCoffEETrigger.m */;
+		name = "ICeCoffEETrigger.m: 45";
+		rLen = 0;
+		rLoc = 1148;
+		rType = 0;
+		vrLen = 1214;
+		vrLoc = 280;
+	};
+	E14DF2390A6F55B000346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF15A503DBAA5600050002 /* ui.plist */;
+		name = "ui.plist: 50";
+		rLen = 0;
+		rLoc = 1395;
+		rType = 0;
+		vrLen = 1395;
+		vrLoc = 0;
+	};
+	E14DF23D0A6F56E900346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 9";
+		rLen = 0;
+		rLoc = 308;
+		rType = 0;
+		vrLen = 1570;
+		vrLoc = 0;
+	};
+	E14DF23E0A6F56E900346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F56276C20379923401AA4DA5 /* English */;
+		name = "English: 133";
+		rLen = 0;
+		rLoc = 8120;
+		rType = 0;
+		vrLen = 2089;
+		vrLoc = 6751;
+	};
+	E14DF23F0A6F56E900346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14DF2250A6F559000346107 /* NSString.h */;
+		name = "NSString.h: stringByTrimmingCharactersInSet:";
+		rLen = 0;
+		rLoc = 4942;
+		rType = 0;
+		vrLen = 3406;
+		vrLoc = 3271;
+	};
+	E14DF2400A6F56E900346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E135625E03DC9FC200050002 /* ICeCoffEEShared.h */;
+		name = "ICeCoffEEShared.h: ICCF_DEBUG";
+		rLen = 0;
+		rLoc = 283;
+		rType = 0;
+		vrLen = 1315;
+		vrLoc = 0;
+	};
+	E14DF2410A6F56E900346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E14343B403DB4CF200050002 /* ICeCoffEE.m */;
+		name = "ICeCoffEE.m: 246";
+		rLen = 0;
+		rLoc = 9338;
+		rType = 0;
+		vrLen = 2227;
+		vrLoc = 7838;
+	};
+	E14DF2420A6F56E900346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = F9A6986E03BE1DF000AA4DA5 /* APEMain.m */;
+		name = "APEMain.m: ICCF_MigratePrefs";
+		rLen = 0;
+		rLoc = 707;
+		rType = 0;
+		vrLen = 1558;
+		vrLoc = 0;
+	};
+	E14DF2430A6F56E900346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1317B2F03DFC4DE00050002 /* ICeCoffEETerminal.m */;
+		name = "ICeCoffEETerminal.m: selectWordAtLine:offset:";
+		rLen = 0;
+		rLoc = 925;
+		rType = 0;
+		vrLen = 979;
+		vrLoc = 2295;
+	};
+	E14DF2440A6F56E900346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E170DFDE0835D6F400B484AC /* ICeCoffEETrigger.m */;
+		name = "ICeCoffEETrigger.m: 45";
+		rLen = 0;
+		rLoc = 1148;
+		rType = 0;
+		vrLen = 1214;
+		vrLoc = 280;
+	};
+	E14DF2450A6F56E900346107 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1BF15A503DBAA5600050002 /* ui.plist */;
+		name = "ui.plist: 50";
+		rLen = 0;
+		rLoc = 1395;
+		rType = 0;
+		vrLen = 1395;
+		vrLoc = 0;
 	};
 	E15E6A7404188D6900050002 /* システム環境設定 */ = {
@@ -1309,10 +1732,4 @@
 		path = "/Volumes/Xounds 2.4/Xounds 2.4 Installer.app/Contents/Resources/ui/ui.plist";
 		sourceTree = "<absolute>";
-		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {754, 984}}";
-			sepNavSelRange = "{1907, 60}";
-			sepNavVisRect = "{{0, 0}, {754, 984}}";
-			sepNavWindowFrame = "{{38, 110}, {793, 1042}}";
-		};
 	};
 	E16950DD0A6DA4C80085C106 /* PBXBookmark */ = {
@@ -1377,4 +1794,5 @@
 	E169513C0A6DAEBC0085C106 /* ui.plist */ = {
 		isa = PBXFileReference;
+		lastKnownFileType = file;
 		name = ui.plist;
 		path = "/Volumes/Xounds 2.4/Xounds 2.4 Installer.app/Contents/Resources/ui/ui.plist";
@@ -1430,10 +1848,4 @@
 		sourceTree = "<absolute>";
 		tabWidth = 4;
-		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {697, 2364}}";
-			sepNavSelRange = "{0, 0}";
-			sepNavVisRect = "{{0, 0}, {697, 582}}";
-			sepNavWindowFrame = "{{15, 533}, {736, 640}}";
-		};
 		usesTabs = 0;
 	};
@@ -1468,5 +1880,5 @@
 			sepNavIntBoundsRect = "{{0, 0}, {748, 768}}";
 			sepNavSelRange = "{1148, 0}";
-			sepNavVisRect = "{{0, 0}, {748, 585}}";
+			sepNavVisRect = "{{0, 183}, {748, 585}}";
 			sepNavWindowFrame = "{{28, 480}, {787, 643}}";
 		};
@@ -1794,7 +2206,7 @@
 	F56276C20379923401AA4DA5 /* English */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {715, 6281}}";
-			sepNavSelRange = "{8004, 0}";
-			sepNavVisRect = "{{0, 2497}, {715, 688}}";
+			sepNavIntBoundsRect = "{{0, 0}, {715, 6298}}";
+			sepNavSelRange = "{8120, 0}";
+			sepNavVisRect = "{{0, 2395}, {715, 688}}";
 			sepNavWindowFrame = "{{448, 117}, {754, 746}}";
 		};
@@ -1812,5 +2224,5 @@
 			sepNavIntBoundsRect = "{{0, 0}, {713, 3768}}";
 			sepNavSelRange = "{707, 0}";
-			sepNavVisRect = "{{0, 0}, {713, 596}}";
+			sepNavVisRect = "{{0, 8}, {713, 596}}";
 			sepNavWindowFrame = "{{295, -4}, {752, 654}}";
 		};