Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2	(revision 264)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2	(revision 271)
@@ -186,332 +186,5 @@
 	<array/>
 	<key>OpenEditors</key>
-	<array>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E16950EE0A6DA5890085C106</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>APEInfo.rtfd</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E16950EF0A6DA5890085C106</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>APEInfo.rtfd</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E14DF23E0A6F56E900346107</string>
-						<key>history</key>
-						<array>
-							<string>E14DF23D0A6F56E900346107</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<true/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, 20}, {754, 705}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<false/>
-				<key>RubberWindowFrame</key>
-				<string>202 69 754 746 0 0 1280 1002 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E14DF2220A6F559000346107</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>NSString.h</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E14DF2230A6F559000346107</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>NSString.h</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E14DF23F0A6F56E900346107</string>
-						<key>history</key>
-						<array>
-							<string>E14DF2240A6F559000346107</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<true/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, 20}, {733, 961}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<false/>
-				<key>RubberWindowFrame</key>
-				<string>15 -5 733 1002 0 0 1280 1002 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E14DF21C0A6F559000346107</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEEShared.h</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E14DF21D0A6F559000346107</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEEShared.h</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E14DF2400A6F56E900346107</string>
-						<key>history</key>
-						<array>
-							<string>E14DF21B0A6F557000346107</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<true/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, 20}, {547, 548}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<false/>
-				<key>RubberWindowFrame</key>
-				<string>174 96 547 589 0 0 1280 1002 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E14DF21F0A6F559000346107</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEE.m</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E14DF2200A6F559000346107</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEE.m</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E14DF2410A6F56E900346107</string>
-						<key>history</key>
-						<array>
-							<string>E14DF2080A6F53C100346107</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<true/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, 20}, {813, 705}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<false/>
-				<key>RubberWindowFrame</key>
-				<string>428 22 813 746 0 0 1280 1002 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E16950CC0A6DA00E0085C106</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>APEMain.m</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E16950CD0A6DA00E0085C106</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>APEMain.m</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E14DF2420A6F56E900346107</string>
-						<key>history</key>
-						<array>
-							<string>E16951400A6DAEBC0085C106</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<true/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, 20}, {752, 613}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<false/>
-				<key>RubberWindowFrame</key>
-				<string>133 -4 752 654 0 0 1280 1002 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E14DF2290A6F559000346107</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEETerminal.m</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E14DF22A0A6F559000346107</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEETerminal.m</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E14DF2430A6F56E900346107</string>
-						<key>history</key>
-						<array>
-							<string>E14DF1DE0A6F4A3700346107</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<true/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, 20}, {750, 461}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<false/>
-				<key>RubberWindowFrame</key>
-				<string>172 172 750 502 0 0 1280 1002 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E169512A0A6DAD600085C106</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEETrigger.m</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E169512B0A6DAD600085C106</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEETrigger.m</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E14DF2440A6F56E900346107</string>
-						<key>history</key>
-						<array>
-							<string>E169512C0A6DAD600085C106</string>
-							<string>E169513D0A6DAEBC0085C106</string>
-						</array>
-						<key>prevStack</key>
-						<array>
-							<string>E169512E0A6DAD600085C106</string>
-							<string>E169512F0A6DAD600085C106</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<true/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, 20}, {787, 602}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<false/>
-				<key>RubberWindowFrame</key>
-				<string>261 146 787 643 0 0 1280 1002 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E16950F10A6DA5890085C106</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>ui.plist</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E16950F20A6DA5890085C106</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>ui.plist</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E14DF2450A6F56E900346107</string>
-						<key>history</key>
-						<array>
-							<string>E169513F0A6DAEBC0085C106</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<true/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, 20}, {733, 961}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<false/>
-				<key>RubberWindowFrame</key>
-				<string>399 0 733 1002 0 0 1280 1002 </string>
-			</dict>
-		</dict>
-	</array>
+	<array/>
 	<key>PerspectiveWidths</key>
 	<array>
@@ -580,19 +253,17 @@
 										<string>E1AFA51C03ECFDB000050001</string>
 										<string>E1BF159F03DBA81600050002</string>
-										<string>E1BF15A203DBAA5600050002</string>
 										<string>E1BF154403DB950B00050002</string>
 										<string>29B97317FDCFA39411CA2CEA</string>
-										<string>29B97318FDCFA39411CA2CEA</string>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateSelectionKey</key>
 									<array>
 										<array>
-											<integer>49</integer>
-											<integer>48</integer>
+											<integer>36</integer>
+											<integer>6</integer>
 											<integer>0</integer>
 										</array>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 472}, {298, 633}}</string>
+									<string>{{0, 0}, {298, 621}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -604,5 +275,5 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{10, 27}, {315, 651}}</string>
+								<string>{{10, 27}, {315, 639}}</string>
 								<key>GroupTreeTableConfiguration</key>
 								<array>
@@ -613,5 +284,5 @@
 								</array>
 								<key>RubberWindowFrame</key>
-								<string>928 283 315 719 0 0 1280 1002 </string>
+								<string>682 39 315 707 0 0 1024 746 </string>
 							</dict>
 							<key>Module</key>
@@ -636,5 +307,5 @@
 									<key>PBXSmartGroupTreeModuleColumnWidthsKey</key>
 									<array>
-										<real>291</real>
+										<real>298</real>
 									</array>
 									<key>PBXSmartGroupTreeModuleColumnsKey_v4</key>
@@ -656,5 +327,5 @@
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 0}, {291, 440}}</string>
+									<string>{{0, 0}, {298, 621}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -666,9 +337,9 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{10, 27}, {308, 458}}</string>
+								<string>{{10, 27}, {315, 639}}</string>
 								<key>GroupTreeTableConfiguration</key>
 								<array>
 									<string>MainColumn</string>
-									<real>291</real>
+									<real>298</real>
 								</array>
 							</dict>
@@ -752,6 +423,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E14DF1000A6F366300346107</string>
-				<string>E14DF1010A6F366300346107</string>
+				<string>E1D95C290A712A58007FAE3C</string>
+				<string>E1D95C2A0A712A58007FAE3C</string>
 				<string>1C9437FD063B20B00039CFAC</string>
 				<string>1C9437FE063B20B00039CFAC</string>
@@ -786,19 +457,10 @@
 	<key>WindowOrderList</key>
 	<array>
-		<string>1C530D57069F1CE1000CFCEE</string>
-		<string>E16950F10A6DA5890085C106</string>
-		<string>E169512A0A6DAD600085C106</string>
-		<string>E14DF2290A6F559000346107</string>
-		<string>E16950CC0A6DA00E0085C106</string>
+		<string>1C530D52069F1CE1000CFCEE</string>
 		<string>1C0AD2B3069F1EA900FABCE6</string>
-		<string>E14DF21F0A6F559000346107</string>
-		<string>E14DF21C0A6F559000346107</string>
-		<string>1C530D52069F1CE1000CFCEE</string>
-		<string>E14DF2220A6F559000346107</string>
 		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
-		<string>E16950EE0A6DA5890085C106</string>
 	</array>
 	<key>WindowString</key>
-	<string>928 283 315 719 0 0 1280 1002 </string>
+	<string>682 39 315 707 0 0 1024 746 </string>
 	<key>WindowTools</key>
 	<array>
@@ -966,5 +628,5 @@
 								<string>{{0, 0}, {868, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>15 307 868 452 0 0 1280 1002 </string>
+								<string>6 172 868 452 0 0 1024 746 </string>
 							</dict>
 							<key>Module</key>
@@ -979,5 +641,5 @@
 							<dict>
 								<key>PBXBuildLogShowsTranscriptDefaultKey</key>
-								<string>{{0, 164}, {868, 263}}</string>
+								<string>{{0, 98}, {868, 329}}</string>
 								<key>PBXProjectModuleGUID</key>
 								<string>XCMainBuildResultsModuleGUID</string>
@@ -994,5 +656,5 @@
 								<string>{{0, 5}, {868, 427}}</string>
 								<key>RubberWindowFrame</key>
-								<string>15 307 868 452 0 0 1280 1002 </string>
+								<string>6 172 868 452 0 0 1024 746 </string>
 							</dict>
 							<key>Module</key>
@@ -1017,5 +679,5 @@
 			<array>
 				<string>1C530D52069F1CE1000CFCEE</string>
-				<string>E14DF20C0A6F550600346107</string>
+				<string>E1D95C390A712A9C007FAE3C</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -1024,9 +686,9 @@
 			<string>xcode.toolbar.config.build</string>
 			<key>WindowString</key>
-			<string>15 307 868 452 0 0 1280 1002 </string>
+			<string>6 172 868 452 0 0 1024 746 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D52069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>
@@ -1358,5 +1020,5 @@
 								<string>{{0, 0}, {702, 248}}</string>
 								<key>RubberWindowFrame</key>
-								<string>546 73 702 268 0 0 1280 1002 </string>
+								<string>263 67 702 268 0 0 1024 746 </string>
 							</dict>
 							<key>Module</key>
@@ -1381,16 +1043,16 @@
 			<array>
 				<string>1C0AD2B3069F1EA900FABCE6</string>
-				<string>E14DF2160A6F550600346107</string>
+				<string>E1D95C2E0A712A58007FAE3C</string>
 				<string>1CD0528B0623707200166675</string>
-				<string>E14DF2170A6F550600346107</string>
+				<string>E1D95C2F0A712A58007FAE3C</string>
 			</array>
 			<key>ToolbarConfiguration</key>
 			<string>xcode.toolbar.config.run</string>
 			<key>WindowString</key>
-			<string>546 73 702 268 0 0 1280 1002 </string>
+			<string>263 67 702 268 0 0 1024 746 </string>
 			<key>WindowToolGUID</key>
 			<string>1C0AD2B3069F1EA900FABCE6</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>