Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2	(revision 272)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2	(revision 279)
@@ -219,4 +219,6 @@
 					<array>
 						<dict>
+							<key>BecomeActive</key>
+							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -252,19 +254,16 @@
 										<string>E14343AE03DB48F700050002</string>
 										<string>E1BF159F03DBA81600050002</string>
-										<string>E1BF15A203DBAA5600050002</string>
-										<string>E1BF154403DB950B00050002</string>
 										<string>29B97317FDCFA39411CA2CEA</string>
-										<string>E12FEC6104959FB800AEFBF9</string>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateSelectionKey</key>
 									<array>
 										<array>
-											<integer>48</integer>
-											<integer>44</integer>
+											<integer>52</integer>
+											<integer>51</integer>
 											<integer>0</integer>
 										</array>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 416}, {298, 621}}</string>
+									<string>{{0, 433}, {298, 621}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -284,4 +283,6 @@
 									<real>276</real>
 								</array>
+								<key>RubberWindowFrame</key>
+								<string>655 39 315 707 0 0 1024 746 </string>
 							</dict>
 							<key>Module</key>
@@ -289,6 +290,4 @@
 						</dict>
 						<dict>
-							<key>BecomeActive</key>
-							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -320,5 +319,4 @@
 									<array>
 										<string>1C37FBAC04509CD000000102</string>
-										<string>E1F84A780A71661900D1FBA1</string>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateSelectionKey</key>
@@ -346,6 +344,4 @@
 									<real>298</real>
 								</array>
-								<key>RubberWindowFrame</key>
-								<string>891 283 315 707 0 0 1280 1002 </string>
 							</dict>
 							<key>Module</key>
@@ -428,6 +424,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E1F84A220A71658400D1FBA1</string>
-				<string>E1F84A230A71658400D1FBA1</string>
+				<string>E1F9B7450A748C74007E20A3</string>
+				<string>E1F9B7460A748C74007E20A3</string>
 				<string>1C9437FD063B20B00039CFAC</string>
 				<string>1C9437FE063B20B00039CFAC</string>
@@ -462,8 +458,9 @@
 	<key>WindowOrderList</key>
 	<array>
+		<string>1C530D52069F1CE1000CFCEE</string>
 		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
 	</array>
 	<key>WindowString</key>
-	<string>891 283 315 707 0 0 1280 1002 </string>
+	<string>655 39 315 707 0 0 1024 746 </string>
 	<key>WindowTools</key>
 	<array>
@@ -622,5 +619,5 @@
 								<string>1CD0528F0623707200166675</string>
 								<key>PBXProjectModuleLabel</key>
-								<string>ICeCoffEEServicePrefController.m</string>
+								<string></string>
 								<key>StatusBarVisibility</key>
 								<false/>
@@ -631,5 +628,5 @@
 								<string>{{0, 0}, {868, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>6 172 868 452 0 0 1280 1002 </string>
+								<string>2 104 868 452 0 0 1024 746 </string>
 							</dict>
 							<key>Module</key>
@@ -644,5 +641,5 @@
 							<dict>
 								<key>PBXBuildLogShowsTranscriptDefaultKey</key>
-								<string>{{0, 187}, {868, 240}}</string>
+								<string>{{0, 126}, {868, 301}}</string>
 								<key>PBXProjectModuleGUID</key>
 								<string>XCMainBuildResultsModuleGUID</string>
@@ -659,5 +656,5 @@
 								<string>{{0, 5}, {868, 427}}</string>
 								<key>RubberWindowFrame</key>
-								<string>6 172 868 452 0 0 1280 1002 </string>
+								<string>2 104 868 452 0 0 1024 746 </string>
 							</dict>
 							<key>Module</key>
@@ -682,5 +679,5 @@
 			<array>
 				<string>1C530D52069F1CE1000CFCEE</string>
-				<string>E1240CAD0A7152EA00886FB4</string>
+				<string>E1F9B80B0A749296007E20A3</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -689,9 +686,9 @@
 			<string>xcode.toolbar.config.build</string>
 			<key>WindowString</key>
-			<string>6 172 868 452 0 0 1280 1002 </string>
+			<string>2 104 868 452 0 0 1024 746 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D52069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser	(revision 272)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser	(revision 279)
@@ -3,7 +3,7 @@
 	089C165DFE840E0CC02AAC07 /* English */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {639, 483}}";
-			sepNavSelRange = "{154, 0}";
-			sepNavVisRect = "{{0, 0}, {639, 483}}";
+			sepNavIntBoundsRect = "{{0, 0}, {711, 444}}";
+			sepNavSelRange = "{218, 0}";
+			sepNavVisRect = "{{0, 0}, {711, 444}}";
 			sepNavWindowFrame = "{{15, 239}, {750, 502}}";
 		};
@@ -218,5 +218,5 @@
 				);
 			};
-			PBXPerProjectTemplateStateSaveDate = 175203692;
+			PBXPerProjectTemplateStateSaveDate = 175410290;
 			PBXPrepackagedSmartGroups_v2 = (
 				{
@@ -693,5 +693,5 @@
 				WindowFrame = "{{524, 473}, {756, 352}}";
 			};
-			PBXWorkspaceStateSaveDate = 175203692;
+			PBXWorkspaceStateSaveDate = 175410290;
 		};
 		sourceControlManager = E12B21580548C9B600CFF4E9 /* Source Control */;
@@ -756,8 +756,8 @@
 	E128636008381A34009C048B /* French */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {715, 6304}}";
-			sepNavSelRange = "{10304, 0}";
-			sepNavVisRect = "{{0, 2815}, {715, 1006}}";
-			sepNavWindowFrame = "{{15, 129}, {754, 1044}}";
+			sepNavIntBoundsRect = "{{0, 0}, {715, 6502}}";
+			sepNavSelRange = "{19064, 0}";
+			sepNavVisRect = "{{0, 5814}, {715, 688}}";
+			sepNavWindowFrame = "{{450, 0}, {754, 746}}";
 		};
 	};
@@ -1099,8 +1099,8 @@
 	E140C475040BB997009FF178 /* Japanese */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {758, 7080}}";
-			sepNavSelRange = "{55, 0}";
-			sepNavVisRect = "{{0, 0}, {758, 789}}";
-			sepNavWindowFrame = "{{455, 144}, {797, 827}}";
+			sepNavIntBoundsRect = "{{0, 0}, {758, 7295}}";
+			sepNavSelRange = "{14225, 0}";
+			sepNavVisRect = "{{0, 6607}, {758, 688}}";
+			sepNavWindowFrame = "{{455, 0}, {797, 746}}";
 		};
 	};
@@ -1298,6 +1298,6 @@
 			sepNavIntBoundsRect = "{{0, 0}, {711, 792}}";
 			sepNavSelRange = "{403, 0}";
-			sepNavVisRect = "{{0, 348}, {711, 444}}";
-			sepNavWindowFrame = "{{84, 262}, {750, 502}}";
+			sepNavVisRect = "{{0, 0}, {711, 444}}";
+			sepNavWindowFrame = "{{84, 244}, {750, 502}}";
 		};
 	};
@@ -1426,7 +1426,7 @@
 	E1ABAEB80812F4B2007C5427 /* Info-APE Module.plist */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {639, 483}}";
-			sepNavSelRange = "{981, 0}";
-			sepNavVisRect = "{{0, 0}, {639, 483}}";
+			sepNavIntBoundsRect = "{{0, 0}, {707, 456}}";
+			sepNavSelRange = "{980, 0}";
+			sepNavVisRect = "{{0, 0}, {707, 453}}";
 			sepNavWindowFrame = "{{200, 163}, {746, 511}}";
 		};
@@ -1437,8 +1437,8 @@
 	E1ABAED40812F4B2007C5427 /* Info-APEManagerPrefPane.plist */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {639, 483}}";
-			sepNavSelRange = "{762, 0}";
-			sepNavVisRect = "{{0, 0}, {639, 483}}";
-			sepNavWindowFrame = "{{429, 152}, {787, 643}}";
+			sepNavIntBoundsRect = "{{0, 0}, {748, 585}}";
+			sepNavSelRange = "{761, 0}";
+			sepNavVisRect = "{{0, 0}, {748, 585}}";
+			sepNavWindowFrame = "{{429, 103}, {787, 643}}";
 		};
 	};
@@ -1474,8 +1474,8 @@
 	E1ABAEF00812F4B3007C5427 /* Info-ICeCoffEE Installer.plist */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {639, 483}}";
+			sepNavIntBoundsRect = "{{0, 0}, {748, 585}}";
 			sepNavSelRange = "{790, 0}";
-			sepNavVisRect = "{{0, 0}, {639, 483}}";
-			sepNavWindowFrame = "{{452, 131}, {787, 643}}";
+			sepNavVisRect = "{{0, 0}, {748, 585}}";
+			sepNavWindowFrame = "{{452, 103}, {787, 643}}";
 		};
 	};
@@ -1531,7 +1531,7 @@
 	E1BF15A503DBAA5600050002 /* ui.plist */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {694, 944}}";
-			sepNavSelRange = "{0, 0}";
-			sepNavVisRect = "{{0, 0}, {694, 944}}";
+			sepNavIntBoundsRect = "{{0, 0}, {694, 688}}";
+			sepNavSelRange = "{1196, 0}";
+			sepNavVisRect = "{{0, 0}, {694, 688}}";
 			sepNavWindowFrame = "{{212, 0}, {733, 746}}";
 		};
@@ -1547,7 +1547,7 @@
 	E1BF15BF03DBBE8900050002 /* VERSION */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {639, 483}}";
-			sepNavSelRange = "{7, 0}";
-			sepNavVisRect = "{{0, 0}, {639, 483}}";
+			sepNavIntBoundsRect = "{{0, 0}, {711, 444}}";
+			sepNavSelRange = "{5, 0}";
+			sepNavVisRect = "{{0, 0}, {711, 444}}";
 			sepNavWindowFrame = "{{15, 239}, {750, 502}}";
 		};
@@ -1595,7 +1595,7 @@
 	E1BF4A4D0487C77C00C20906 /* German */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {711, 4872}}";
-			sepNavSelRange = "{12148, 0}";
-			sepNavVisRect = "{{0, 4407}, {711, 464}}";
+			sepNavIntBoundsRect = "{{0, 0}, {711, 5759}}";
+			sepNavSelRange = "{16, 14}";
+			sepNavVisRect = "{{0, 0}, {711, 444}}";
 			sepNavWindowFrame = "{{222, 50}, {750, 502}}";
 		};
@@ -1617,8 +1617,8 @@
 	E1CBC99803E7602700050002 /* English */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {748, 1322}}";
-			sepNavSelRange = "{245, 0}";
-			sepNavVisRect = "{{0, 716}, {748, 605}}";
-			sepNavWindowFrame = "{{475, 110}, {787, 643}}";
+			sepNavIntBoundsRect = "{{0, 0}, {748, 1392}}";
+			sepNavSelRange = "{0, 0}";
+			sepNavVisRect = "{{0, 0}, {748, 585}}";
+			sepNavWindowFrame = "{{475, 103}, {787, 643}}";
 		};
 	};
@@ -1641,6 +1641,6 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {715, 6298}}";
-			sepNavSelRange = "{17818, 0}";
-			sepNavVisRect = "{{0, 2558}, {715, 688}}";
+			sepNavSelRange = "{0, 0}";
+			sepNavVisRect = "{{0, 0}, {715, 688}}";
 			sepNavWindowFrame = "{{104, 0}, {754, 746}}";
 		};