Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/French.lproj/Localizable.strings
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/French.lproj/Localizable.strings	(revision 256)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/French.lproj/Localizable.strings	(revision 281)
@@ -1,29 +1,29 @@
 /* Incompatible OSX Panel */
 "Incompatible Mac OS X Version" = "Version de Mac OS X incompatible";
-"%@ reqires at least Mac OS X %@. You have an older version installed. Please upgrade or download an older version of %@ that will be compatible with your system." = "%@ ncessite au minimum Mac OS X %@. Votre version du systme est plus ancienne. Veuillez mettre votre systme  jour ou tlcharger une version plus ancienne de %@ qui soit compatible avec votre version du systme.";
+"%@ reqires at least Mac OS X %@. You have an older version installed. Please upgrade or download an older version of %@ that will be compatible with your system." = "%@ nécessite au minimum Mac OS X %@. Votre version du système est plus ancienne. Veuillez mettre votre système à jour ou télécharger une version plus ancienne de %@ qui soit compatible avec votre version du système.";
 
 /* Ready Tab */
-"%@ was already installed for all users on this machine, and you are trying to install a local version. Doing so will result in two copies of %@ running on your Macintosh, which is not a good idea. You can either Cancel, try to Remove for All Users or try to Install for All Users (you will need administrator priviliges for latter two)." = "%@ est dj install pour tous les utilisateurs de cette machine, et vous vous prparez  l'installer uniquement pour l'utilisateur en cours. Cela ferait deux copies de %@ installes  la fois, ce qui n'est pas une bonne ide. Vous pouvez Annuler, essayer de Dsinstaller de tous les utilisateurs, ou essayer d'Installer pour tous les utilisateurs (mais il vous faudra les privilges d'administrateur pour les deux derniers).";
-"%@ was already installed for this user, and you're about to do an install for all users on this machine. Doing so will result in two copies of %@ running on your Macintosh, which is not a good idea. If you Continue, this installer will first remove the version installed for this user, then proceed with all users installation." = "%@ est dj install pour l'utilisateur en cours, et vous vous prparez  l'installer pour tous les utilisateur de cette machine. Cela ferait deux copies de %@ installes  la fois, ce qui n'est pas une bonne ide. Si vous choisissez de Continuer, cet installeur va d'abord supprimer la version installe pour l'utilisateur en cours, puis procder  l'installation pour tous les utilisateurs.";
-"Already Installed For All Users" = "Dj install pour tous les utilisateurs";
-"Already Installed For This User" = "Dj install pour l'utilisateur en cours";
+"%@ was already installed for all users on this machine, and you are trying to install a local version. Doing so will result in two copies of %@ running on your Macintosh, which is not a good idea. You can either Cancel, try to Remove for All Users or try to Install for All Users (you will need administrator priviliges for latter two)." = "%@ est déjà installé pour tous les utilisateurs de cette machine, et vous vous préparez à l'installer uniquement pour l'utilisateur en cours. Cela ferait deux copies de %@ installées à la fois, ce qui n'est pas une bonne idée. Vous pouvez Annuler, essayer de Désinstaller de tous les utilisateurs, ou essayer d'Installer pour tous les utilisateurs (mais il vous faudra les privilèges d'administrateur pour les deux derniers).";
+"%@ was already installed for this user, and you're about to do an install for all users on this machine. Doing so will result in two copies of %@ running on your Macintosh, which is not a good idea. If you Continue, this installer will first remove the version installed for this user, then proceed with all users installation." = "%@ est déjà installé pour l'utilisateur en cours, et vous vous préparez à l'installer pour tous les utilisateur de cette machine. Cela ferait deux copies de %@ installées à la fois, ce qui n'est pas une bonne idée. Si vous choisissez de Continuer, cet installeur va d'abord supprimer la version installée pour l'utilisateur en cours, puis procéder à l'installation pour tous les utilisateurs.";
+"Already Installed For All Users" = "Déjà installé pour tous les utilisateurs";
+"Already Installed For This User" = "Déjà installé pour l'utilisateur en cours";
 "Install For All Users" = "Installer pour tous les utilisateurs";
-"When you click \"Continue\", you will be asked to authenticate with your administrator password, if needed. This is done because certain components of this software has to be installed system-wide in order to function properly." = "Lorsque vous cliquerez sur \"Continuer\", il peut vous tre demand d'entrer un mot de passe d'administrateur, car certains composants de ce logiciel doivent tre installs au niveau du systme pour fonctionner correctement.";
+"When you click \"Continue\", you will be asked to authenticate with your administrator password, if needed. This is done because certain components of this software has to be installed system-wide in order to function properly." = "Lorsque vous cliquerez sur \"Continuer\", il peut vous être demandé d'entrer un mot de passe d'administrateur, car certains composants de ce logiciel doivent être installés au niveau du système pour fonctionner correctement.";
 
 /* Install Table Strings */
 "Application Enhancer" = "Application Enhancer";
-"Installed \"%@\"" = "\"%@\" a t install";
-"Created folder \"%@\"" = "Dossier cr : \"%@\"";
-"Uninstalled previously installed" = "Version prcdente dsinstalle";
-"(files were moved to the Trash)" = "(fichiers placs dans la corbeille)";
+"Installed \"%@\"" = "\"%@\" a été installé";
+"Created folder \"%@\"" = "Dossier créé : \"%@\"";
+"Uninstalled previously installed" = "Version précédente désinstallée";
+"(files were moved to the Trash)" = "(fichiers placés dans la corbeille)";
 
 /* Uninstall Panel */
-"Are you sure you want to uninstall %@ %@ %@? Please note that this installer will automatically uninstall an older version of the product during the installation." = "ætes-vous sr de vouloir dsinstaller %@ %@ %@ ? Notez que cet installeur va dsinstaller automatiquement une version antrieure du logiciel pendant l'installation.";
+"Are you sure you want to uninstall %@ %@ %@? Please note that this installer will automatically uninstall an older version of the product during the installation." = "Êtes-vous sûr de vouloir désinstaller %@ %@ %@ ? Notez que cet installeur va désinstaller automatiquement une version antérieure du logiciel pendant l'installation.";
 "the globally installed" = "l'installation globale de";
 "the locally installed" = "l'installation locale de";
 
 /* Authentication Failed Panel */
-"Authentication Failed" = "L'identification a chou";
-"You have failed to enter the administrator password; this installer requires Administrator privileges to install the software you have selected. Please try again." = "Vous n'avez pas entr un mot de passe d'administrateur valide et cet installeur ncessite les privilges d'administrateur pour installer le logiciel que vous avez slectionn. Veuillez ressayer.";
+"Authentication Failed" = "L'identification a échoué";
+"You have failed to enter the administrator password; this installer requires Administrator privileges to install the software you have selected. Please try again." = "Vous n'avez pas entré un mot de passe d'administrateur valide et cet installeur nécessite les privilèges d'administrateur pour installer le logiciel que vous avez sélectionné. Veuillez réessayer.";
 
 /* Button Titles */
@@ -33,5 +33,5 @@
 "Go Back" = "Retour";
 "Quit" = "Quitter";
-"Uninstall" = "Dsinstaller";
+"Uninstall" = "Désinstaller";
 
 /* Version n/a */
@@ -42,23 +42,23 @@
 
 /* Options Tab */
-"Open \"%@\" %@ Upon Completion" = "Lancer \"%@\" %@ aprs l'installation";
+"Open \"%@\" %@ Upon Completion" = "Lancer \"%@\" %@ après l'installation";
 
 /* Ready Tab */
-"Remove For All Users" = "Dsinstaller de tous les utilisateurs";
+"Remove For All Users" = "Désinstaller de tous les utilisateurs";
 
 /* Step N of M strings */
-"Step %d of %d" = "tape %d sur %d";
-"Step %d of %d: %@" = "tape %d sur %d: %@";
+"Step %d of %d" = "Étape %d sur %d";
+"Step %d of %d: %@" = "Étape %d sur %d: %@";
 
 /* Installer Information Missing Panel */
 "Installer Information Missing" = "Informations d'installation manquantes";
-"This installer cannot find or read the required information about the installable product.\n\nThe installer is unable to continue. Please contact the author of the software or re-download the package." = "Cet installeur ne peut trouver ou lire les informations requises pour l'installation de ce produit.\n\nL'installeur ne peut continuer. Veuillez contacter l'auteur du logiciel ou tlcharger celui-ci de nouveau.";
+"This installer cannot find or read the required information about the installable product.\n\nThe installer is unable to continue. Please contact the author of the software or re-download the package." = "Cet installeur ne peut trouver ou lire les informations requises pour l'installation de ce produit.\n\nL'installeur ne peut continuer. Veuillez contacter l'auteur du logiciel ou télécharger celui-ci de nouveau.";
 
 /* Uninstall Panel */
-"Uninstall Complete" = "Dsinstallation termine";
-"Uninstall Failed" = "La dsinstallation a chou";
-"We were unable to uninstall %@ from your system. Please check if you have entered your administrator password correctly and that you have sufficient privileges and try again (or remove the files manually)." = "Il n'a pas t possible de dsinstaller %@ de votre systme. Vrifiez que vous avez correctement entr votre mot de passe d'administrateur et que vous disposez des privilges ncessaires, puis ressayez (ou supprimez les fichiers manuellement).";
-"You will be asked for your administrator password when you click Uninstall." = "Un mot de passe d'administrateur vous sera demand lorsque vous cliquerez sur Dsinstaller.";
-"%@ was successfully uninstalled from your system. Thank you for evaluating our product!" = "%@ a t dsinstall avec succs de votre systme. Merci d'avoir essay notre produit !";
+"Uninstall Complete" = "Désinstallation terminée";
+"Uninstall Failed" = "La désinstallation a échoué";
+"We were unable to uninstall %@ from your system. Please check if you have entered your administrator password correctly and that you have sufficient privileges and try again (or remove the files manually)." = "Il n'a pas été possible de désinstaller %@ de votre système. Vérifiez que vous avez correctement entré votre mot de passe d'administrateur et que vous disposez des privilèges nécessaires, puis réessayez (ou supprimez les fichiers manuellement).";
+"You will be asked for your administrator password when you click Uninstall." = "Un mot de passe d'administrateur vous sera demandé lorsque vous cliquerez sur Désinstaller.";
+"%@ was successfully uninstalled from your system. Thank you for evaluating our product!" = "%@ a été désinstallé avec succès de votre système. Merci d'avoir essayé notre produit !";
 
 /* Default Product Name */
@@ -75,8 +75,8 @@
 
 /* Done Tab */
-"When you click the \"Quit\" button below, the installed product will be launched, and this Installer will quit." = "Lorsque vous cliquerez sur le bouton \"Quitter\", le produit install sera lanc et cet installeur quittera.";
+"When you click the \"Quit\" button below, the installed product will be launched, and this Installer will quit." = "Lorsque vous cliquerez sur le bouton \"Quitter\", le produit installé sera lancé et cet installeur quittera.";
 "When you click the \"Quit\" button below, this Installer will quit." = "Lorsque vous cliquerez sur le bouton \"Quitter\" cet installeur quittera.";
-"You are strongly advised to log out or restart your computer in order for the installed product to completely take effect. Thank you!" = "Il est vivement conseill de fermer la session ou de redmarrer votre ordinateur pour que le produit install prenne effet compltement. Merci !";
+"You are strongly advised to log out or restart your computer in order for the installed product to completely take effect. Thank you!" = "Il est vivement conseillé de fermer la session ou de redémarrer votre ordinateur pour que le produit installé prenne effet complètement. Merci !";
 
 /* Version Field */
-"This Installer was created using Unsanity Installer %@, %@" = "Cet installeur a t ralis grce  Unsanity Installer %@, %@";
+"This Installer was created using Unsanity Installer %@, %@" = "Cet installeur a été réalisé grâce à Unsanity Installer %@, %@";