Index: trunk/launch/launch/VERSION
===================================================================
--- trunk/launch/launch/VERSION	(revision 304)
+++ trunk/launch/launch/VERSION	(revision 305)
@@ -1,1 +1,1 @@
-1.1d2
+1.1b1
Index: trunk/launch/launch/launch.xcodeproj/project.pbxproj
===================================================================
--- trunk/launch/launch/launch.xcodeproj/project.pbxproj	(revision 304)
+++ trunk/launch/launch/launch.xcodeproj/project.pbxproj	(revision 305)
@@ -15,33 +15,8 @@
 /* End PBXBuildFile section */
 
-/* Begin PBXBuildStyle section */
-		014CEA490018CE3211CA2923 /* Development */ = {
-			isa = PBXBuildStyle;
-			buildSettings = {
-				COPY_PHASE_STRIP = NO;
-				GCC_DYNAMIC_NO_PIC = NO;
-				GCC_ENABLE_FIX_AND_CONTINUE = YES;
-				GCC_GENERATE_DEBUGGING_SYMBOLS = YES;
-				GCC_OPTIMIZATION_LEVEL = 0;
-				OPTIMIZATION_CFLAGS = "-O0";
-				ZERO_LINK = YES;
-			};
-			name = Development;
-		};
-		014CEA4A0018CE3211CA2923 /* Deployment */ = {
-			isa = PBXBuildStyle;
-			buildSettings = {
-				COPY_PHASE_STRIP = YES;
-				GCC_ENABLE_FIX_AND_CONTINUE = NO;
-				ZERO_LINK = NO;
-			};
-			name = Deployment;
-		};
-/* End PBXBuildStyle section */
-
 /* Begin PBXFileReference section */
 		08FB7796FE84155DC02AAC07 /* main.c */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.c.c; path = main.c; sourceTree = "<group>"; tabWidth = 8; };
 		09AB6884FE841BABC02AAC07 /* CoreFoundation.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = CoreFoundation.framework; path = /System/Library/Frameworks/CoreFoundation.framework; sourceTree = "<absolute>"; };
-		E194197009C40AFB00266191 /* launch */ = {isa = PBXFileReference; includeInIndex = 0; lastKnownFileType = "compiled.mach-o.executable"; path = launch; sourceTree = BUILT_PRODUCTS_DIR; };
+		E194197009C40AFB00266191 /* launch */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = launch; sourceTree = BUILT_PRODUCTS_DIR; };
 		F561F49F0139D7DD01AEEDB1 /* ApplicationServices.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = ApplicationServices.framework; path = /System/Library/Frameworks/ApplicationServices.framework; sourceTree = "<absolute>"; };
 		F574340B01B8A47B01AEEDB1 /* VERSION */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = text; path = VERSION; sourceTree = "<group>"; };
@@ -117,21 +92,4 @@
 			buildRules = (
 			);
-			buildSettings = {
-				FRAMEWORK_SEARCH_PATHS = "";
-				HEADER_SEARCH_PATHS = "";
-				INSTALL_PATH = "\U0001$(HOME)/bin";
-				LIBRARY_SEARCH_PATHS = "";
-				OTHER_CFLAGS = "";
-				OTHER_LDFLAGS = "";
-				OTHER_REZFLAGS = "";
-				PRODUCT_NAME = launch;
-				REZ_EXECUTABLE = YES;
-				SECTORDER_FLAGS = "";
-				WARNING_CFLAGS = (
-					"-Wmost",
-					"-Wno-four-char-constants",
-					"-Wno-unknown-pragmas",
-				);
-			};
 			dependencies = (
 			);
@@ -148,12 +106,4 @@
 			isa = PBXProject;
 			buildConfigurationList = E194195609C40AD400266191 /* Build configuration list for PBXProject "launch" */;
-			buildSettings = {
-				MACOSX_DEPLOYMENT_TARGET = 10.2;
-				SDKROOT = /Developer/SDKs/MacOSX10.2.8.sdk;
-			};
-			buildStyles = (
-				014CEA490018CE3211CA2923 /* Development */,
-				014CEA4A0018CE3211CA2923 /* Deployment */,
-			);
 			hasScannedForEncodings = 1;
 			mainGroup = 08FB7794FE84155DC02AAC07 /* launch */;
@@ -185,4 +135,5 @@
 				);
 				MACOSX_DEPLOYMENT_TARGET = 10.4;
+				PREBINDING = NO;
 				SDKROOT = /Developer/SDKs/MacOSX10.4u.sdk;
 			};
@@ -197,4 +148,5 @@
 				);
 				MACOSX_DEPLOYMENT_TARGET = 10.4;
+				PREBINDING = NO;
 				SDKROOT = /Developer/SDKs/MacOSX10.4u.sdk;
 			};
Index: trunk/launch/launch/main.c
===================================================================
--- trunk/launch/launch/main.c	(revision 304)
+++ trunk/launch/launch/main.c	(revision 305)
@@ -33,5 +33,5 @@
 const char *APP_NAME;
 
-#define VERSION "1.1d2"
+#define VERSION "1.1b1"
 
 #define STRBUF_LEN 1024
Index: trunk/launch/package-launch.sh
===================================================================
--- trunk/launch/package-launch.sh	(revision 304)
+++ trunk/launch/package-launch.sh	(revision 305)
@@ -12,10 +12,9 @@
 chmod 755 launch && \
 chmod 644 launch.1 && \
-rm -rf build/launch.build build/intermediates build/.gdb_history && \
 VERSION=`cat VERSION` TARBALL="launch-$VERSION.tar.gz" && \
 cd .. && \
 rm -f launch-$VERSION $TARBALL $DMG && \
 ln -s launch launch-$VERSION && \
-tar --owner=root --group=wheel --exclude=.DS_Store --exclude=.svn --exclude=.gdb_history -zchf launch-$VERSION.tar.gz launch-$VERSION && \
+tar --owner=root --group=wheel --exclude=.DS_Store --exclude=.svn --exclude=.gdb_history --exclude=build --exclude=\*.mode2 --exclude=\*.pbxuser --exclude=\*.perspective -zchf launch-$VERSION.tar.gz launch-$VERSION && \
 scp $TARBALL ainaz:web/nriley/software/ #$DMG 
 :