Index: /trunk/appswitch/appswitch/appswitch.xcodeproj/nicholas.mode2
===================================================================
--- /trunk/appswitch/appswitch/appswitch.xcodeproj/nicholas.mode2	(revision 306)
+++ /trunk/appswitch/appswitch/appswitch.xcodeproj/nicholas.mode2	(revision 307)
@@ -205,8 +205,8 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E1ED20AE0AF392EB00F9825D</string>
+						<string>E1A324600AF398B4003E2DC8</string>
 						<key>history</key>
 						<array>
-							<string>E1ED20980AF3924800F9825D</string>
+							<string>E1ED20AE0AF392EB00F9825D</string>
 						</array>
 					</dict>
@@ -245,8 +245,8 @@
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E1ED20AF0AF392EB00F9825D</string>
+						<string>E1A324610AF398B4003E2DC8</string>
 						<key>history</key>
 						<array>
-							<string>E1ED1FFD0AF38A5800F9825D</string>
+							<string>E1ED20AF0AF392EB00F9825D</string>
 						</array>
 					</dict>
@@ -318,5 +318,5 @@
 										<real>16</real>
 										<real>22</real>
-										<real>224.83740234375</real>
+										<real>225</real>
 										<real>20</real>
 										<real>23</real>
@@ -344,6 +344,4 @@
 									<array>
 										<array>
-											<integer>6</integer>
-											<integer>4</integer>
 											<integer>0</integer>
 										</array>
@@ -368,5 +366,5 @@
 									<real>22</real>
 									<string>MainColumn</string>
-									<real>224.83740234375</real>
+									<real>225</real>
 									<string>FileBuiltColumn</string>
 									<real>20</real>
@@ -516,6 +514,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E1ED1F7B0AF37C7900F9825D</string>
-				<string>E1ED1F7C0AF37C7900F9825D</string>
+				<string>E1A324590AF398A3003E2DC8</string>
+				<string>E1A3245A0AF398A3003E2DC8</string>
 				<string>1C9437FD063B20B00039CFAC</string>
 				<string>1C9437FE063B20B00039CFAC</string>
@@ -550,5 +548,4 @@
 	<key>WindowOrderList</key>
 	<array>
-		<string>1C530D57069F1CE1000CFCEE</string>
 		<string>1C530D52069F1CE1000CFCEE</string>
 		<string>E1ED1FFB0AF38A5800F9825D</string>
@@ -715,5 +712,5 @@
 								<string>1CD0528F0623707200166675</string>
 								<key>PBXProjectModuleLabel</key>
-								<string>main.c</string>
+								<string></string>
 								<key>StatusBarVisibility</key>
 								<true/>
@@ -732,6 +729,4 @@
 						</dict>
 						<dict>
-							<key>BecomeActive</key>
-							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -773,5 +768,5 @@
 			<array>
 				<string>1C530D52069F1CE1000CFCEE</string>
-				<string>E1ED1F8D0AF37CCB00F9825D</string>
+				<string>E1A324620AF398B4003E2DC8</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
Index: /trunk/appswitch/appswitch/appswitch.xcodeproj/nicholas.pbxuser
===================================================================
--- /trunk/appswitch/appswitch/appswitch.xcodeproj/nicholas.pbxuser	(revision 306)
+++ /trunk/appswitch/appswitch/appswitch.xcodeproj/nicholas.pbxuser	(revision 307)
@@ -49,5 +49,5 @@
 				);
 			};
-			PBXPerProjectTemplateStateSaveDate = 183729271;
+			PBXPerProjectTemplateStateSaveDate = 183736482;
 			PBXPrepackagedSmartGroups_v2 = (
 				{
@@ -470,11 +470,15 @@
 				RubberWindowFrame = "46 125 753 707 0 0 1280 832 ";
 			};
-			PBXWorkspaceStateSaveDate = 183729271;
+			PBXWorkspaceStateSaveDate = 183736482;
 		};
 		perUserProjectItems = {
-			E1ED1FFD0AF38A5800F9825D /* PBXTextBookmark */ = E1ED1FFD0AF38A5800F9825D /* PBXTextBookmark */;
-			E1ED20980AF3924800F9825D /* PBXBookmark */ = E1ED20980AF3924800F9825D /* PBXBookmark */;
-			E1ED20AE0AF392EB00F9825D /* PBXTextBookmark */ = E1ED20AE0AF392EB00F9825D /* PBXTextBookmark */;
-			E1ED20AF0AF392EB00F9825D /* PBXTextBookmark */ = E1ED20AF0AF392EB00F9825D /* PBXTextBookmark */;
+			E1A3245B0AF398A3003E2DC8 /* PBXTextBookmark */ = E1A3245B0AF398A3003E2DC8 /* PBXTextBookmark */;
+			E1A3245C0AF398A3003E2DC8 /* PBXTextBookmark */ = E1A3245C0AF398A3003E2DC8 /* PBXTextBookmark */;
+			E1A324600AF398B4003E2DC8 /* PBXTextBookmark */ = E1A324600AF398B4003E2DC8 /* PBXTextBookmark */;
+			E1A324610AF398B4003E2DC8 /* PBXTextBookmark */ = E1A324610AF398B4003E2DC8 /* PBXTextBookmark */;
+			E1ED1FFD0AF38A5800F9825D = E1ED1FFD0AF38A5800F9825D /* PBXTextBookmark */;
+			E1ED20980AF3924800F9825D = E1ED20980AF3924800F9825D /* PBXBookmark */;
+			E1ED20AE0AF392EB00F9825D = E1ED20AE0AF392EB00F9825D /* PBXTextBookmark */;
+			E1ED20AF0AF392EB00F9825D = E1ED20AF0AF392EB00F9825D /* PBXTextBookmark */;
 		};
 		sourceControlManager = E18A0A29063362FF008DC67C /* Source Control */;
@@ -528,5 +532,5 @@
 	E16C83CC03F7AF7B00050002 /* README */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {778, 1176}}";
+			sepNavIntBoundsRect = "{{0, 0}, {778, 1236}}";
 			sepNavSelRange = "{1594, 0}";
 			sepNavVisRect = "{{0, 0}, {778, 872}}";
@@ -554,4 +558,44 @@
 			sepNavWindowFrame = "{{284, 60}, {936, 905}}";
 		};
+	};
+	E1A3245B0AF398A3003E2DC8 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E16C83CC03F7AF7B00050002 /* README */;
+		name = "README: 46";
+		rLen = 0;
+		rLoc = 1594;
+		rType = 0;
+		vrLen = 2520;
+		vrLoc = 0;
+	};
+	E1A3245C0AF398A3003E2DC8 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED1FFE0AF38A5800F9825D /* IOCFBundle.h */;
+		name = "CFSTR(\"CFBundleIdentifier\")";
+		rLen = 27;
+		rLoc = 278;
+		rType = 0;
+		vrLen = 519;
+		vrLoc = 0;
+	};
+	E1A324600AF398B4003E2DC8 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E16C83CC03F7AF7B00050002 /* README */;
+		name = "README: 46";
+		rLen = 0;
+		rLoc = 1594;
+		rType = 0;
+		vrLen = 2520;
+		vrLoc = 0;
+	};
+	E1A324610AF398B4003E2DC8 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E1ED1FFE0AF38A5800F9825D /* IOCFBundle.h */;
+		name = "CFSTR(\"CFBundleIdentifier\")";
+		rLen = 27;
+		rLoc = 278;
+		rType = 0;
+		vrLen = 519;
+		vrLoc = 0;
 	};
 	E1ED1FFD0AF38A5800F9825D /* PBXTextBookmark */ = {
@@ -572,5 +616,4 @@
 			sepNavSelRange = "{278, 27}";
 			sepNavVisRect = "{{0, 0}, {778, 872}}";
-			sepNavWindowFrame = "{{67, -755}, {817, 930}}";
 		};
 	};
@@ -607,4 +650,5 @@
 	E1ED20B00AF392EB00F9825D /* IOCFBundle.h */ = {
 		isa = PBXFileReference;
+		lastKnownFileType = sourcecode.c.h;
 		name = IOCFBundle.h;
 		path = /System/Library/Frameworks/IOKit.framework/Versions/A/Headers/IOCFBundle.h;
Index: /trunk/appswitch/appswitch/appswitch.xcodeproj/project.pbxproj
===================================================================
--- /trunk/appswitch/appswitch/appswitch.xcodeproj/project.pbxproj	(revision 306)
+++ /trunk/appswitch/appswitch/appswitch.xcodeproj/project.pbxproj	(revision 307)
@@ -32,5 +32,5 @@
 		08FB7796FE84155DC02AAC07 /* main.c */ = {isa = PBXFileReference; fileEncoding = 4; indentWidth = 4; lastKnownFileType = sourcecode.c.c; path = main.c; sourceTree = "<group>"; tabWidth = 8; usesTabs = 0; };
 		C6859E970290921104C91782 /* appswitch.1 */ = {isa = PBXFileReference; lastKnownFileType = text.man; path = appswitch.1; sourceTree = "<group>"; };
-		E1607F080AF3700B001EAB72 /* appswitch */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = appswitch; sourceTree = BUILT_PRODUCTS_DIR; };
+		E1607F080AF3700B001EAB72 /* appswitch */ = {isa = PBXFileReference; includeInIndex = 0; lastKnownFileType = "compiled.mach-o.executable"; path = appswitch; sourceTree = BUILT_PRODUCTS_DIR; };
 		E16C83CC03F7AF7B00050002 /* README */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text; path = README; sourceTree = "<group>"; };
 		E1A0BD3203EFAD9E00050001 /* CPS.h */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.c.h; path = CPS.h; sourceTree = "<group>"; };
@@ -169,4 +169,8 @@
 			isa = XCBuildConfiguration;
 			buildSettings = {
+				ARCHS = (
+					ppc,
+					i386,
+				);
 			};
 			name = Development;
@@ -175,4 +179,8 @@
 			isa = XCBuildConfiguration;
 			buildSettings = {
+				ARCHS = (
+					ppc,
+					i386,
+				);
 			};
 			name = Deployment;
@@ -181,4 +189,8 @@
 			isa = XCBuildConfiguration;
 			buildSettings = {
+				ARCHS = (
+					ppc,
+					i386,
+				);
 			};
 			name = Default;